﻿<?xml version="1.0" encoding="utf-8"?>
<abapGit version="v1.0.0" serializer="LCL_OBJECT_CLAS" serializer_version="v1.0.0">
 <asx:abap xmlns:asx="http://www.sap.com/abapxml" version="1.0">
  <asx:values>
   <VSEOCLASS>
    <CLSNAME>YDDG__METRIC</CLSNAME>
    <LANGU>E</LANGU>
    <DESCRIPT>Datadog Metric</DESCRIPT>
    <STATE>1</STATE>
    <CLSCCINCL>X</CLSCCINCL>
    <FIXPT>X</FIXPT>
    <UNICODE>X</UNICODE>
    <RSTAT>K</RSTAT>
    <MSG_ID>YDDG</MSG_ID>
   </VSEOCLASS>
   <DESCRIPTIONS>
    <SEOCOMPOTX>
     <CLSNAME>YDDG__METRIC</CLSNAME>
     <CMPNAME>APPEND</CMPNAME>
     <LANGU>E</LANGU>
     <DESCRIPT>Add datapoint to metric</DESCRIPT>
    </SEOCOMPOTX>
    <SEOCOMPOTX>
     <CLSNAME>YDDG__METRIC</CLSNAME>
     <CMPNAME>CLOSE</CMPNAME>
     <LANGU>E</LANGU>
     <DESCRIPT>dequeue (unlock)</DESCRIPT>
    </SEOCOMPOTX>
    <SEOCOMPOTX>
     <CLSNAME>YDDG__METRIC</CLSNAME>
     <CMPNAME>CONSTRUCTOR</CMPNAME>
     <LANGU>E</LANGU>
     <DESCRIPT>Get Metric and enqueue (lock)</DESCRIPT>
    </SEOCOMPOTX>
    <SEOCOMPOTX>
     <CLSNAME>YDDG__METRIC</CLSNAME>
     <CMPNAME>SEND</CMPNAME>
     <LANGU>E</LANGU>
     <DESCRIPT>Send metric to Datadog</DESCRIPT>
    </SEOCOMPOTX>
    <SEOCOMPOTX>
     <CLSNAME>YDDG__METRIC</CLSNAME>
     <CMPNAME>SEND_PACKAGE</CMPNAME>
     <LANGU>E</LANGU>
     <DESCRIPT>Send package of datapoints</DESCRIPT>
    </SEOCOMPOTX>
   </DESCRIPTIONS>
  </asx:values>
 </asx:abap>
</abapGit>
